# FTP Submissions

## List all FTP submissions

> Returns a list of FTP file batch submissions.

```json
{"openapi":"3.1.0","info":{"title":"Brand Submissions API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"FtpSubmission":{"type":"object","properties":{"BatchId":{"type":"string","description":"Id of the FTP submission."},"AccountId":{"type":"integer","description":"Id of the brand account that submitted the file."},"SubmissionDate":{"type":"string","format":"date-time","description":"Date and time the FTP submission was submitted (ISO 8601)."},"FileName":{"type":"string","description":"Name of the file that was submitted."},"Type":{"type":"string","description":"Type of records submitted.","enum":["Conversion","Modification","Reversal"]},"Status":{"type":"string","description":"Status of the FTP submission. Will always begin as Queued.","enum":["Queued","In Progress","Complete"]},"TotalRecords":{"type":"integer","description":"Total number of records in the submitted file."},"TotalErrors":{"type":"integer","description":"Total number of errors found in the submitted file."},"CompletionDate":{"type":"string","format":"date-time","nullable":true,"description":"Date and time that the submission finished processing (ISO 8601)."},"ErrorsUri":{"type":"string","format":"uri-reference","description":"The URI to retrieve detailed error information for this submission."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this FTP submission in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/FTPFileSubmissions":{"get":{"operationId":"listFtpSubmissions","tags":["FTP Submissions"],"summary":"List all FTP submissions","description":"Returns a list of FTP file batch submissions.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"SubmissionDateStart","in":"query","description":"Return submissions submitted after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"SubmissionDateEnd","in":"query","description":"Return submissions submitted before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"CompletedDateStart","in":"query","description":"Return submissions completed after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"CompletedDateEnd","in":"query","description":"Return submissions completed before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"A list of FTP submission objects.","content":{"application/json":{"schema":{"type":"object","properties":{"FTPFileSubmissions":{"type":"array","description":"The list of FTP submission objects.","items":{"$ref":"#/components/schemas/FtpSubmission"}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/submissions/ftp-submissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
